# Module: adapter

## adapter

Source:
  - adapter.js, line 3

### Methods

#### <static> execute(sql, params, callback)

  Run the sql query as a prepared statement

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `sql` | String | The sql with placeholders
  `params` | Array | The values to insert into the query
  `callback` | function | Callback to run when a response is recieved

  Source:
    - adapter.js, line 14

  ##### Returns:

  void